body {
    font-family     : var(--font-standard);
    font-size       : var(--font-size-md);
    line-height     : 1.25;
    color           : var(--main-fg);
    background-color: var(--main-bg);
}

main {
    padding: 0 var(--margin-md);
}

.max-width-limit {
    max-width: var(--max-width);
    margin   : 0 auto;
}

article {
    max-width: var(--max-content-width);
}

p {
    margin: var(--margin-xs) 0;
}

blockquote {
    margin     : var(--margin-lg) 0;
    padding    : 0 0 0 var(--margin-xs);
    border-left: var(--border-black) solid var(--main-fg-full);
}

blockquote p:first-child {
    margin-top: 0;
}

blockquote p:last-child {
    margin-bottom: 0;
}

a {
    color: var(--link-not-visited);
}

a:visited {
    color: var(--link-visited);
}

a:focus,
button:focus-visible,
summary:focus-visible,
input:focus-visible {
    outline: var(--border-strong) solid var(--outline-color);
}

button:focus-visible {
    border-radius: unset;
}

figure,
iframe {
    margin-top: var(--margin-md);
}

a>figure {
    margin-top: 0;
}

iframe {
    max-width: 100%;
}

input[type="button"],
input[type="submit"],
input[type="search"],
button,
textarea {
    all             : unset;
    box-sizing      : border-box;
    background-color: var(--main-bg);
    color           : var(--main-fg);
    border-radius   : var(--rounding);
    border          : var(--border-thin) solid var(--gray-strong);
    padding         : var(--margin-xxs) var(--margin-xs);
}

button,
input[type="button"],
input[type="submit"] {
    cursor          : pointer;
    font-family     : var(--font-standard);
    font-weight     : var(--font-weight-bold);
    padding         : var(--margin-xxs) var(--margin-md);
    background-color: var(--gray-light);
}